## Stk service

Stk service — Support for the Stk service.

## Functions

MbimMessage * | mbim_message_stk_pac_query_new ()
MbimMessage * | mbim_message_stk_pac_set_new ()
gboolean | mbim_message_stk_pac_response_parse ()
gboolean | mbim_message_stk_pac_notification_parse ()
MbimMessage * | mbim_message_stk_terminal_response_set_new ()
gboolean | mbim_message_stk_terminal_response_response_parse ()
MbimMessage * | mbim_message_stk_envelope_query_new ()
MbimMessage * | mbim_message_stk_envelope_set_new ()
gboolean | mbim_message_stk_envelope_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Stk service.

## Functions

### mbim_message_stk_pac_query_new ()

    MbimMessage *
    mbim_message_stk_pac_query_new (GError **error);

Create a new request for the 'Pac' query command in the 'STK' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_stk_pac_set_new ()

    MbimMessage *
    mbim_message_stk_pac_set_new (const guint8 *pac_host_control,
                                  GError **error);

Create a new request for the 'Pac' set command in the 'STK' service.

#### Parameters

pac_host_control | the 'PacHostControl' field, given as an array of 32 guint8 values. | [in][element-type guint8][array fixed-size=32]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_stk_pac_response_parse ()

    gboolean
    mbim_message_stk_pac_response_parse (const MbimMessage *message,
                                         const guint8 **out_pac_support,
                                         GError **error);

Parses and returns parameters of the 'Pac' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
out_pac_support | return location for an array of 256 guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array fixed-size=256]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.4

### mbim_message_stk_pac_notification_parse ()

    gboolean
    mbim_message_stk_pac_notification_parse
                                   (const MbimMessage *message,
                                    MbimStkPacType *out_pac_type,
                                    guint32 *out_data_buffer_size,
                                    const guint8 **out_data_buffer,
                                    GError **error);

Parses and returns parameters of the 'Pac' notification command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
out_pac_type | return location for a MbimStkPacType, or `NULL` if the 'PacType' field is not needed. | [out][optional][transfer none]
out_data_buffer_size | return location for the size of the data_buffer array. | [out][optional]
out_data_buffer | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array length=out_data_buffer_size]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.4

### mbim_message_stk_terminal_response_set_new ()

    MbimMessage *
    mbim_message_stk_terminal_response_set_new
                                   (const guint32 response_size,
                                    const guint8 *response,
                                    GError **error);

Create a new request for the 'Terminal Response' set command in the 'STK' service.

#### Parameters

response_size | size of the response array. | [in]
response | the 'Response' field, given as an array of guint8 values. | [in][element-type guint8][array length=response_size]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_stk_terminal_response_response_parse ()

    gboolean
    mbim_message_stk_terminal_response_response_parse
                                   (const MbimMessage *message,
                                    guint32 *out_result_data_size,
                                    const guint8 **out_result_data,
                                    guint32 *out_status_words,
                                    GError **error);

Parses and returns parameters of the 'Terminal Response' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
out_result_data_size | return location for the size of the result_data array. | [out][optional]
out_result_data | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array length=out_result_data_size]
out_status_words | return location for a guint32, or `NULL` if the 'StatusWords' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.4

### mbim_message_stk_envelope_query_new ()

    MbimMessage *
    mbim_message_stk_envelope_query_new (GError **error);

Create a new request for the 'Envelope' query command in the 'STK' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_stk_envelope_set_new ()

    MbimMessage *
    mbim_message_stk_envelope_set_new (const guint32 data_size,
                                       const guint8 *data,
                                       GError **error);

Create a new request for the 'Envelope' set command in the 'STK' service.

#### Parameters

data_size | size of the data array. | [in]
data | the 'Data' field, given as an array of guint8 values. | [in][element-type guint8][array length=data_size]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_stk_envelope_response_parse ()

    gboolean
    mbim_message_stk_envelope_response_parse
                                   (const MbimMessage *message,
                                    const guint8 **out_envelope_support,
                                    GError **error);

Parses and returns parameters of the 'Envelope' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
out_envelope_support | return location for an array of 32 guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array fixed-size=32]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.4